Name: chos
Summary: chos is an alternative boot manager.
Version: 0.84
Release: 4mdk
Source: ftp://metalab.unc.edu/pub/Linux/system/boot/loaders/chos-%{version}.tar.bz2
Patch: chos-root.patch.bz2
Group: System Environment/Base
URL: ftp://metalab.unc.edu/pub/Linux/system/boot/loaders/
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: /usr
Exclusivearch: i386 i486 i586 i686 k6 k7

%package vchos
Summary: Visual CHOS editor
Group: System Environment/Base
Requires: tcl tk

%description
ChOS is an alternative boot manager - it lets you select which operating
system to use at bootup.

%description vchos
Visual ChOS is a visual editor for ChOS configuration files.
ChOS is an alternative boot manager - it lets you select which operating
system to use at bootup.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1

%build
cd sources
perl -p -i -e "s/-funsigned-char/-funsigned-char $RPM_OPT_FLAGS/" Makefile
make

%install
ROOT="$RPM_BUILD_ROOT" ./Install <<EOF
Y
/usr/bin/wish8.0
EOF

%files
%defattr(-,root,root)
%doc docs/ README NEWS
%dir /boot/bg
/boot/bg/*
/boot/chos*
/sbin/*

%files vchos
/usr/X11R6/bin/*

%changelog
* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.84-4mdk

- Exclusivearch: i386 i486 i586 i686 k6 k7

* Sun Dec 19 1999 John Buswell <johnb@mandrakesoft.com>
- Added docs

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- initial rpm
